From 4befcfd015256c568121653038accbd84820198f Mon Sep 17 00:00:00 2001
From: Sergey Poznyakoff <gray@gnu.org>
Date: Mon, 19 Jul 2021 11:27:40 +0300
Subject: mail: disable compose escapes in non-interctive mode.

diff --git a/mail/send.c b/mail/send.c
index 1bdfe1134..098374dab 100644
--- a/mail/send.c
+++ b/mail/send.c
@@ -1324,8 +1324,9 @@ mail_compose_send (compose_env_t *env, int save_to)
 
       if (strcmp (buf, ".") == 0 && mailvar_is_true (mailvar_name_dot))
 	done = 1;
-      else if (mailvar_get (&escape, mailvar_name_escape,
-			    mailvar_type_string, 0) == 0
+      else if (interactive
+	       && mailvar_get (&escape, mailvar_name_escape,
+			       mailvar_type_string, 0) == 0
 	       && buf[0] == escape[0])
 	{
 	  if (buf[1] == buf[0])
-- 
cgit v1.2.1

